diff -ur angband-3.0.1.orig/src/main-xaw.c angband-3.0.1.bigtile/src/main-xaw.c
--- angband-3.0.1.orig/src/main-xaw.c	Sat Jul  6 22:13:01 2002
+++ angband-3.0.1.bigtile/src/main-xaw.c	Sun Jul 14 06:48:41 2002
@@ -183,7 +183,8 @@
 #ifdef USE_GRAPHICS
 
 	/* Tiles */
-	XImage *tiles;
+	XImage *tiles[64];
+        int tiles_col[64];
 
 	/* Tempory storage for overlaying tiles. */
 	XImage *TmpImage;
@@ -194,6 +195,7 @@
 	XFontStruct *fnt;
 	Dimension fontheight;
 	Dimension fontwidth;
+	Dimension tilewidth;
 	Dimension fontascent;
 
 	/* Color info for GC's */
@@ -423,6 +425,7 @@
                               const byte *tap, const char *tcp)
 {
 	int i, x1, y1;
+        int group1, group2;
 
 	byte a;
 	char c;
@@ -444,47 +447,127 @@
 		a = *ap++;
 		c = *cp++;
 
-		/* For extra speed - cache these values */
-		x1 = (c&0x7F) * widget->angband.fontwidth;
-		y1 = (a&0x7F) * widget->angband.fontheight;
+		if (a == 255 && c == -1) continue;
 
 		ta = *tap++;
 		tc = *tcp++;
 
-		/* For extra speed - cache these values */
-		x2 = (tc&0x7F) * widget->angband.fontwidth;
-		y2 = (ta&0x7F) * widget->angband.fontheight;
+                if (arg_graphics == GRAPHICS_DAVID_GERVAIS)
+                {
+                        group1 = (a&0x7F);
+                        group2 = (ta&0x7F);
+
+                        /* Dummy or illegal group */
+                        if (widget->angband.tiles[group1])
+                        {
+                                /* For extra speed - cache these values */
+                                x1 = ((c&0x7F) % widget->angband.tiles_col[group1]) * widget->angband.tilewidth;
+                                y1 = ((c&0x7F) / widget->angband.tiles_col[group1]) * widget->angband.fontheight;
+                        }
+
+                        /* For extra speed - cache these values */
+                        if (!widget->angband.tiles[group2])
+                        {
+                                group2 = group1;
+                                x2 = x1;
+                                y2 = y1;
+                        }
+                        else
+                        {
+                                group2 = (ta&0x7F);
+                                x2 = ((tc&0x7F) % widget->angband.tiles_col[group2]) * widget->angband.tilewidth;
+                                y2 = ((tc&0x7F) / widget->angband.tiles_col[group2]) * widget->angband.fontheight;
+                        }
+                }
+                else
+                {
+                        /* For extra speed - cache these values */
+                        x1 = (c&0x7F) * widget->angband.tilewidth;
+                        y1 = (a&0x7F) * widget->angband.fontheight;
+                        group1 = 0;
+
+                        /* For extra speed - cache these values */
+                        x2 = (tc&0x7F) * widget->angband.tilewidth;
+                        y2 = (ta&0x7F) * widget->angband.fontheight;
+                        group2 = 0;
+                }
+
+                /* Blank tile */
+                if (!widget->angband.tiles[group1])
+                {
+                        /* Erase rectangle */
+                        XFillRectangle(XtDisplay(widget), XtWindow(widget),
+                                       widget->angband.gc[0],
+                                       x, y,
+                                       widget->angband.tilewidth,
+                                       widget->angband.fontheight);
+                }
 
 		/* Optimise the common case */
-		if ((x1 == x2) && (y1 == y2))
+                else if (((x1 == x2) && (y1 == y2) && (group1 == group2)) ||
+		    !(((byte)ta & 0x80) && ((byte)tc & 0x80)))
 		{
-			/* Draw object / terrain */
-			XPutImage(XtDisplay(widget), XtWindow(widget),
-		  	        widget->angband.gc[0],
-		    	      widget->angband.tiles,
-		    	      x1, y1,
-		    	      x, y,
-		    	      widget->angband.fontwidth,
-		 	      widget->angband.fontheight);
+                        if (arg_graphics != GRAPHICS_DAVID_GERVAIS)
+                        {
+                                /* Draw object / terrain */
+                                XPutImage(XtDisplay(widget), XtWindow(widget),
+                                          widget->angband.gc[0],
+                                          widget->angband.tiles[group1],
+                                          x1, y1,
+                                          x, y,
+                                          widget->angband.tilewidth,
+                                          widget->angband.fontheight);
+                        }
+                        else
+                        {
+                                /* Mega Hack^2 - assume the top left corner is "blank" */
+                                blank = XGetPixel(widget->angband.tiles[3], 0, 0);
+
+                                for (k = 0; k < widget->angband.tilewidth; k++)
+                                {
+                                        for (l = 0; l < widget->angband.fontheight; l++)
+                                        {
+                                                /* If mask set... */
+                                                if ((pixel = XGetPixel(widget->angband.tiles[group1], x1 + k, y1 + l)) == blank)
+                                                        pixel = 0L;
+
+                                                /* Store into the temp storage. */
+                                                XPutPixel(widget->angband.TmpImage,
+                                                          k, l, pixel);
+                                        }
+                                }
+                                /* Draw to screen */
+
+                                /* Draw object / terrain */
+                                XPutImage(XtDisplay(widget), XtWindow(widget),
+                                          widget->angband.gc[0],
+                                          widget->angband.TmpImage,
+                                          0, 0,
+                                          x, y,
+                                          widget->angband.tilewidth,
+                                          widget->angband.fontheight);
+                        }
 		}
 		else
 		{
-			/* Mega Hack^2 - assume the top left corner is "black" */
-			blank = XGetPixel(widget->angband.tiles,
-				 0, widget->angband.fontheight * 6);
+			/* Mega Hack^2 - assume the top left corner is "blank" */
+                        if (arg_graphics == GRAPHICS_DAVID_GERVAIS)
+                                blank = XGetPixel(widget->angband.tiles[3], 0, 0);
+                        else
+                                blank = XGetPixel(widget->angband.tiles[group1],
+                                                  0, widget->angband.fontheight * 6);
 
-			for (k = 0; k < widget->angband.fontwidth; k++)
+			for (k = 0; k < widget->angband.tilewidth; k++)
 			{
 				for (l = 0; l < widget->angband.fontheight; l++)
 				{
 					/* If mask set... */
-					if ((pixel = XGetPixel(widget->angband.tiles,
-						 x1 + k, y1 + l)) == blank)
+					if ((pixel = XGetPixel(widget->angband.tiles[group1], x1 + k, y1 + l)) == blank)
 					{
-
 						/* Output from the terrain */
-						pixel = XGetPixel(widget->angband.tiles,
-							 x2 + k, y2 + l);
+						pixel = XGetPixel(widget->angband.tiles[group2], x2 + k, y2 + l);
+                                                if (pixel == blank)
+                                                        pixel = 0L;
 					}
 
 					/* Store into the temp storage. */
@@ -502,7 +585,7 @@
 			          widget->angband.TmpImage,
 			          0, 0,
 			          x, y,
-			          widget->angband.fontwidth,
+			          widget->angband.tilewidth,
 			          widget->angband.fontheight);
 		}
 
@@ -558,6 +641,12 @@
 	wnew->angband.fontheight = wnew->angband.fnt->ascent +
 		wnew->angband.fnt->descent;
 	wnew->angband.fontwidth = wnew->angband.fnt->max_bounds.width;
+
+	if (use_bigtile)
+		wnew->angband.tilewidth = 2 * wnew->angband.fontwidth;
+	else
+		wnew->angband.tilewidth = wnew->angband.fontwidth;
+
 	wnew->angband.fontascent = wnew->angband.fnt->ascent;
 
 	/* Create and initialize the graphics contexts */ /* GXset? */
@@ -598,6 +687,9 @@
 		                              (GCFont | GCForeground | GCFunction |
 		                               GCBackground | GCGraphicsExposures),
 		                              &gcv);
+
+                /* Mega Hack: Force react to change later (Mogami) */
+                wnew->angband.color[i][0] = 255;
 	}
 
 	/* Create a special GC for highlighting */
@@ -811,6 +903,12 @@
 			wnew->angband.fontheight = wnew->angband.fnt->ascent +
 				wnew->angband.fnt->descent;
 			wnew->angband.fontwidth = wnew->angband.fnt->max_bounds.width;
+
+			if (use_bigtile)
+				wnew->angband.tilewidth = 2 * wnew->angband.fontwidth;
+			else
+				wnew->angband.tilewidth = wnew->angband.fontwidth;
+
 			wnew->angband.fontascent = wnew->angband.fnt->ascent;
 		}
 	}
@@ -1378,9 +1476,7 @@
 
 
 /*
- * Draw the cursor, by hiliting with XOR
- *
- * Should perhaps use rectangle outline, ala "main-mac.c".  XXX XXX XXX
+ * Draw the cursor a rectangle outline
  */
 static errr Term_curs_xaw(int x, int y)
 {
@@ -1401,6 +1497,27 @@
 
 
 /*
+ * Draw the double width cursor as a rectangle outline
+ */
+static errr Term_bigcurs_xaw(int x, int y)
+{
+	term_data *td = (term_data*)(Term->data);
+
+	/* Hilite the cursor character with a box */
+	XDrawRectangle(XtDisplay(td->widget), XtWindow(td->widget),
+		td->widget->angband.gc[COLOR_XOR],
+		x * td->widget->angband.fontwidth +
+			td->widget->angband.internal_border,
+		y * td->widget->angband.fontheight +
+			td->widget->angband.internal_border,
+		td->widget->angband.tilewidth - 1, td->widget->angband.fontheight - 1);
+
+	/* Success */
+	return (0);
+}
+
+
+/*
  * Draw a number of characters
  */
 static errr Term_text_xaw(int x, int y, int n, byte a, cptr s)
@@ -1523,6 +1640,7 @@
 	/* Hooks */
 	t->xtra_hook = Term_xtra_xaw;
 	t->curs_hook = Term_curs_xaw;
+	t->bigcurs_hook = Term_bigcurs_xaw;
 	t->wipe_hook = Term_wipe_xaw;
 	t->text_hook = Term_text_xaw;
 
@@ -1563,6 +1681,12 @@
 			/* Update font information */
 			td->widget->angband.fontheight = fnt->ascent + fnt->descent;
 			td->widget->angband.fontwidth = fnt->max_bounds.width;
+
+			if (use_bigtile)
+				td->widget->angband.tilewidth = 2 * td->widget->angband.fontwidth;
+			else
+				td->widget->angband.tilewidth = td->widget->angband.fontwidth;
+
 			td->widget->angband.fontascent = fnt->ascent;
 
 			for (i = 0; i < NUM_COLORS; i++)
@@ -1611,11 +1735,57 @@
 const char help_xaw[] = "X11 Athena Widget, subopts -d<display> -n<windows>"
 #ifdef USE_GRAPHICS
                         " -s(moothRescale)"
+                        "\n           -b(Bigtile) -o(original) -a(AdamBolt) -g(David Gervais)"
 #endif
                         "\n           and standard X11 toolkit options"
                         ;
 
 
+static const char *original_tile_files[] = {"8x8.bmp", NULL};
+static const char *adam_bolt_tile_files[] = {"16x16.bmp", NULL};
+static const char *david_gervais_tile_files[] = {
+        "", 
+        "", 
+        "", 
+        "dg_armor32.bmp", 
+        "dg_effects32.bmp", 
+        "dg_food32.bmp", 
+        "dg_classm32.bmp", 
+        "dg_humans32.bmp", 
+        "dg_jewls32.bmp", 
+        "dg_magic32.bmp", 
+        "dg_misc32.bmp", 
+        "dg_potions32.bmp", 
+        "dg_wands32.bmp", 
+        "dg_weapons32.bmp", 
+        "dg_people32.bmp", 
+        "dg_dragon32.bmp", 
+        "dg_monster132.bmp", 
+        "dg_monster232.bmp", 
+        "dg_monster332.bmp", 
+        "dg_monster432.bmp", 
+        "dg_monster532.bmp", 
+        "dg_monster632.bmp", 
+        "dg_monster732.bmp", 
+        "dg_undead32.bmp", 
+        "dg_uniques32.bmp", 
+        "dg_dungeon32.bmp", 
+        "dg_grounds32.bmp", 
+        "dg_extra132.bmp", 
+        "dg_town032.bmp", 
+        "dg_town132.bmp", 
+        "dg_town232.bmp", 
+        "dg_town332.bmp", 
+        "dg_town432.bmp", 
+        "dg_town532.bmp", 
+        "dg_town632.bmp", 
+        "dg_town732.bmp", 
+        "dg_town832.bmp", 
+        "dg_town932.bmp", 
+        NULL
+};
+
+
 /*
  * Initialization function for an X Athena Widget module to Angband
  *
@@ -1632,6 +1802,7 @@
 
 #ifdef USE_GRAPHICS
 
+	const char **tile_files;
 	char filename[1024];
 
 	int pict_wid = 0;
@@ -1656,6 +1827,32 @@
 			smoothRescaling = FALSE;
 			continue;
 		}
+
+		if (prefix(argv[i], "-o"))
+		{
+			arg_graphics = GRAPHICS_ORIGINAL;
+			continue;
+		}
+
+		if (prefix(argv[i], "-a"))
+		{
+			arg_graphics = GRAPHICS_ADAM_BOLT;
+			continue;
+		}
+
+		if (prefix(argv[i], "-g"))
+		{
+			smoothRescaling = FALSE;
+			arg_graphics = GRAPHICS_DAVID_GERVAIS;
+			continue;
+		}
+
+		if (prefix(argv[i], "-b"))
+		{
+			use_bigtile = TRUE;
+			continue;
+		}
+
 #endif /* USE_GRAPHICS */
 
 		if (prefix(argv[i], "-n"))
@@ -1715,39 +1912,62 @@
 #ifdef USE_GRAPHICS
 
 	/* Try graphics */
-	if (arg_graphics)
+	switch (arg_graphics)
 	{
+	case GRAPHICS_ADAM_BOLT:
+                /* Use tile graphics of Adam Bolt */
+                tile_files = adam_bolt_tile_files;
+
 		/* Try the "16x16.bmp" file */
-		path_build(filename, sizeof(filename), ANGBAND_DIR_XTRA, "graf/16x16.bmp");
+		path_build(filename, sizeof(filename), ANGBAND_DIR_XTRA, format("graf/%s", tile_files[0]));
 
 		/* Use the "16x16.bmp" file if it exists */
 		if (0 == fd_close(fd_open(filename, O_RDONLY)))
 		{
 			/* Use graphics */
 			use_graphics = TRUE;
-
 			use_transparency = TRUE;
 
 			pict_wid = pict_hgt = 16;
 
 			ANGBAND_GRAF = "new";
+
+			break;
 		}
-		else
-		{
-			/* Try the "8x8.bmp" file */
-			path_build(filename, sizeof(filename), ANGBAND_DIR_XTRA, "graf/8x8.bmp");
+		/* Fall through */
 
-			/* Use the "8x8.bmp" file if it exists */
-			if (0 == fd_close(fd_open(filename, O_RDONLY)))
-			{
-				/* Use graphics */
-				use_graphics = TRUE;
+	case GRAPHICS_ORIGINAL:
+                /* Use original tile graphics */
+                tile_files = original_tile_files;
 
-				pict_wid = pict_hgt = 8;
+		/* Try the "8x8.bmp" file */
+		path_build(filename, sizeof(filename), ANGBAND_DIR_XTRA, format("graf/%s", tile_files[0]));
 
-				ANGBAND_GRAF = "old";
-			}
+		/* Use the "8x8.bmp" file if it exists */
+		if (0 == fd_close(fd_open(filename, O_RDONLY)))
+		{
+			/* Use graphics */
+			use_graphics = TRUE;
+
+			pict_wid = pict_hgt = 8;
+
+			ANGBAND_GRAF = "old";
+			break;
 		}
+                break;
+
+	case GRAPHICS_DAVID_GERVAIS:
+                /* Use tile graphics of David Gervais */
+                tile_files = david_gervais_tile_files;
+
+                /* Use graphics */
+                use_graphics = TRUE;
+                use_transparency = TRUE;
+                
+                pict_wid = pict_hgt = 32;
+                
+                ANGBAND_GRAF = "david";
+                break;
 	}
 
 	/* Load graphics */
@@ -1760,28 +1980,81 @@
 
 		XImage *tiles_raw;
 
-		/* Load the graphical tiles */
-		tiles_raw = ReadBMP(dpy, filename);
-
-		/* Initialize the windows */
-		for (i = 0; i < num_term; i++)
-		{
-			term_data *td = &data[i];
-
-			term *t = &td->t;
-
-			t->pict_hook = Term_pict_xaw;
-
-			t->higher_pict = TRUE;
-
-			/* Resize tiles */
-			td->widget->angband.tiles =
-			ResizeImage(dpy, tiles_raw,
-			            pict_wid, pict_hgt,
-			            td->widget->angband.fontwidth,
-			            td->widget->angband.fontheight);
-		}
+                int group;
 
+                /* Initialize */
+                for (group = 0; group < 64; group++)
+                {
+                        for (i = 0; i < num_term; i++)
+                        {
+                                term_data *td = &data[i];
+                                td->widget->angband.tiles[group] = NULL;
+                        }
+                }
+
+                /* Load each group of tile set */
+                for (group = 0; tile_files[group]; group++)
+                {
+                        /* Dummy group */
+                        if (!tile_files[group][0]) continue;
+
+                        path_build(filename, sizeof(filename), ANGBAND_DIR_XTRA, format("graf/%s", tile_files[group]));
+
+                        /* Load the graphical tiles */
+                        tiles_raw = ReadBMP(dpy, filename);
+
+                        /* No such file */
+                        if (!tiles_raw) continue;
+
+                        /* Initialize the windows */
+                        for (i = 0; i < num_term; i++)
+                        {
+                                int j;
+                                bool same = FALSE;
+
+                                term_data *td = &data[i];
+                                term_data *o_td;
+                                
+                                term *t = &td->t;
+                                
+                                t->pict_hook = Term_pict_xaw;
+                                
+                                t->higher_pict = TRUE;
+                                
+                                /* Look for another term with same font size */
+                                for (j = 0; j < i; j++)
+                                {
+                                        o_td = &data[j];
+
+                                        if (td->widget->angband.tilewidth == o_td->widget->angband.tilewidth && td->widget->angband.fontheight == o_td->widget->angband.fontheight)
+                                        {
+                                                same = TRUE;
+                                                break;
+                                        }
+                                }
+
+                                if (!same)
+                                {
+                                        /* Resize tiles */
+                                        td->widget->angband.tiles[group] =
+                                                ResizeImage(dpy, tiles_raw,
+                                                            pict_wid, pict_hgt,
+                                                            td->widget->angband.tilewidth,
+                                                            td->widget->angband.fontheight);
+                                }
+                                else
+                                {
+                                        /* Use same graphics */
+                                        td->widget->angband.tiles[group] = o_td->widget->angband.tiles[group];
+                                }
+
+                                td->widget->angband.tiles_col[group] = td->widget->angband.tiles[group]->width / td->widget->angband.tilewidth;
+                        }
+
+                        /* Free tiles_raw */
+                        FREE(tiles_raw);
+                }
+                        
 		/* Initialize the transparency temp storage*/
 		for (i = 0; i < num_term; i++)
 		{
@@ -1796,7 +2069,7 @@
 			ii = 1;
 			jj = (depth - 1) >> 2;
 			while (jj >>= 1) ii <<= 1;
-			total = td->widget->angband.fontwidth *
+			total = td->widget->angband.tilewidth *
 				 td->widget->angband.fontheight * ii;
 
 
@@ -1805,12 +2078,10 @@
 			td->widget->angband.TmpImage = XCreateImage(dpy,
 				visual,depth,
 				ZPixmap, 0, TmpData,
-				td->widget->angband.fontwidth,
+				td->widget->angband.tilewidth,
 			        td->widget->angband.fontheight, 8, 0);
 
 		}
-
-		/* Free tiles_raw? XXX XXX */
 	}
 
 #endif /* USE_GRAPHICS */
Only in angband-3.0.1.bigtile/src: main-xaw.c.orig
Only in angband-3.0.1.bigtile/src: main-xaw.o
Only in angband-3.0.1.bigtile/src: main-xpj.o
diff -ur angband-3.0.1.orig/src/main.c angband-3.0.1.bigtile/src/main.c
--- angband-3.0.1.orig/src/main.c	Mon Jul  1 05:08:40 2002
+++ angband-3.0.1.bigtile/src/main.c	Sun Jul 14 06:48:41 2002
@@ -502,7 +502,8 @@
 			case 'G':
 			case 'g':
 			{
-				arg_graphics = TRUE;
+				/* Default graphics tile */
+				arg_graphics = GRAPHICS_ADAM_BOLT;
 				break;
 			}
 
Only in angband-3.0.1.bigtile/src: main.o
Only in angband-3.0.1.bigtile/src: melee1.o
Only in angband-3.0.1.bigtile/src: melee2.o
diff -ur angband-3.0.1.orig/src/monster1.c angband-3.0.1.bigtile/src/monster1.c
--- angband-3.0.1.orig/src/monster1.c	Mon Jul  1 05:12:26 2002
+++ angband-3.0.1.bigtile/src/monster1.c	Sun Jul 14 06:48:41 2002
@@ -1367,6 +1367,7 @@
 	/* Append the "optional" attr/char info */
 	Term_addstr(-1, TERM_WHITE, "/('");
 	Term_addch(a2, c2);
+	if (use_bigtile && (a2 & 0x80)) Term_addch(255, -1);
 	Term_addstr(-1, TERM_WHITE, "'):");
 }
 
Only in angband-3.0.1.bigtile/src: monster1.o
Only in angband-3.0.1.bigtile/src: monster2.o
Only in angband-3.0.1.bigtile/src: object1.o
Only in angband-3.0.1.bigtile/src: object2.o
Only in angband-3.0.1.bigtile/src: randart.o
Only in angband-3.0.1.bigtile/src: save.o
Only in angband-3.0.1.bigtile/src: script.o
diff -ur angband-3.0.1.orig/src/spells1.c angband-3.0.1.bigtile/src/spells1.c
--- angband-3.0.1.orig/src/spells1.c	Sun Jul  7 04:54:21 2002
+++ angband-3.0.1.bigtile/src/spells1.c	Sun Jul 14 06:48:41 2002
@@ -390,30 +390,62 @@
 	byte a;
 	char c;
 
-	/* No motion (*) */
-	if ((ny == y) && (nx == x)) base = 0x30;
+        if (!(use_graphics && arg_graphics == GRAPHICS_DAVID_GERVAIS))
+        {
+                /* No motion (*) */
+                if ((ny == y) && (nx == x)) base = 0x30;
 
-	/* Vertical (|) */
-	else if (nx == x) base = 0x40;
+                /* Vertical (|) */
+                else if (nx == x) base = 0x40;
 
-	/* Horizontal (-) */
-	else if (ny == y) base = 0x50;
+                /* Horizontal (-) */
+                else if (ny == y) base = 0x50;
 
-	/* Diagonal (/) */
-	else if ((ny-y) == (x-nx)) base = 0x60;
+                /* Diagonal (/) */
+                else if ((ny-y) == (x-nx)) base = 0x60;
 
-	/* Diagonal (\) */
-	else if ((ny-y) == (nx-x)) base = 0x70;
+                /* Diagonal (\) */
+                else if ((ny-y) == (nx-x)) base = 0x70;
 
-	/* Weird (*) */
-	else base = 0x30;
+                /* Weird (*) */
+                else base = 0x30;
 
-	/* Basic spell color */
-	k = spell_color(typ);
+                /* Basic spell color */
+                k = spell_color(typ);
 
-	/* Obtain attr/char */
-	a = misc_to_attr[base+k];
-	c = misc_to_char[base+k];
+                /* Obtain attr/char */
+                a = misc_to_attr[base+k];
+                c = misc_to_char[base+k];
+        }
+        else
+        {
+                int add;
+
+                /* No motion (*) */
+                if ((ny == y) && (nx == x)) {base = 0x00; add = 0;}
+
+                /* Vertical (|) */
+                else if (nx == x) {base = 0x40; add = 0;}
+
+                /* Horizontal (-) */
+                else if (ny == y) {base = 0x40; add = 1;}
+
+                /* Diagonal (/) */
+                else if ((ny-y) == (x-nx)) {base = 0x40; add = 2;}
+
+                /* Diagonal (\) */
+                else if ((ny-y) == (nx-x)) {base = 0x40; add = 3;}
+
+                /* Weird (*) */
+                else {base = 0x00; add = 0;}
+
+                if (typ >= 0x40) k = 0;
+                else k = typ;
+
+                /* Obtain attr/char */
+                a = misc_to_attr[base+k];
+                c = misc_to_char[base+k] + add;
+        }
 
 	/* Create pict */
 	return (PICT(a,c));
Only in angband-3.0.1.bigtile/src: spells1.o
Only in angband-3.0.1.bigtile/src: spells2.o
Only in angband-3.0.1.bigtile/src: stamp-h
Only in angband-3.0.1.bigtile/src: store.o
Only in angband-3.0.1.bigtile/src: tables.o
Only in angband-3.0.1.bigtile/src: use-obj.o
Only in angband-3.0.1.bigtile/src: util.o
diff -ur angband-3.0.1.orig/src/variable.c angband-3.0.1.bigtile/src/variable.c
--- angband-3.0.1.orig/src/variable.c	Sat Jul 13 18:20:41 2002
+++ angband-3.0.1.bigtile/src/variable.c	Sun Jul 14 06:48:41 2002
@@ -85,6 +85,7 @@
 
 bool use_sound;			/* The "sound" mode is enabled */
 bool use_graphics;		/* The "graphics" mode is enabled */
+bool use_bigtile = FALSE;
 
 s16b signal_count;		/* Hack -- Count interrupts */
 
Only in angband-3.0.1.bigtile/src: variable.o
Only in angband-3.0.1.bigtile/src: wizard1.o
Only in angband-3.0.1.bigtile/src: wizard2.o
Only in angband-3.0.1.bigtile/src: x-spell.o
Only in angband-3.0.1.bigtile/src: xtra1.o
diff -ur angband-3.0.1.orig/src/xtra2.c angband-3.0.1.bigtile/src/xtra2.c
--- angband-3.0.1.orig/src/xtra2.c	Fri Jul 12 06:51:43 2002
+++ angband-3.0.1.bigtile/src/xtra2.c	Sun Jul 14 06:54:41 2002
@@ -2273,12 +2273,20 @@
 bool modify_panel(int wy, int wx)
 {
 	/* Verify wy, adjust if needed */
-	if (p_ptr->depth == 0) wy = 0;
+ 	if (p_ptr->depth == 0)
+        {
+                if (wy > TOWN_HGT - SCREEN_HGT) wy = TOWN_HGT - SCREEN_HGT;
+                else if (wy < 0) wy = 0;
+        }
 	else if (wy > DUNGEON_HGT - SCREEN_HGT) wy = DUNGEON_HGT - SCREEN_HGT;
 	if (wy < 0) wy = 0;
 
 	/* Verify wx, adjust if needed */
-	if (p_ptr->depth == 0) wx = 0;
+ 	if (p_ptr->depth == 0)
+        {
+                if (wx > TOWN_WID - SCREEN_WID) wx = TOWN_WID - SCREEN_WID;
+                else if (wx < 0) wx = 0;
+        }
 	else if (wx > DUNGEON_WID - SCREEN_WID) wx = DUNGEON_WID - SCREEN_WID;
 	if (wx < 0) wx = 0;
 
Only in angband-3.0.1.bigtile/src: xtra2.c.orig
Only in angband-3.0.1.bigtile/src: xtra2.c.rej
Only in angband-3.0.1.bigtile/src: xtra2.c~
Only in angband-3.0.1.bigtile/src: xtra2.o
Only in angband-3.0.1.bigtile/src: z-form.o
Only in angband-3.0.1.bigtile/src: z-rand.o
diff -ur angband-3.0.1.orig/src/z-term.c angband-3.0.1.bigtile/src/z-term.c
--- angband-3.0.1.orig/src/z-term.c	Sat Jul 13 04:59:07 2002
+++ angband-3.0.1.bigtile/src/z-term.c	Sun Jul 14 06:48:41 2002
@@ -185,6 +185,7 @@
  *   Term->user_hook = Perform user actions
  *   Term->xtra_hook = Perform extra actions
  *   Term->curs_hook = Draw (or Move) the cursor
+ *   Term->bigcurs_hook = Draw (or Move) the big cursor (for kanji and bigtile mode)
  *   Term->wipe_hook = Draw some blank spaces
  *   Term->text_hook = Draw some text in the window
  *   Term->pict_hook = Draw some attr/chars in the window
@@ -769,6 +770,9 @@
 		/* Handle high-bit attr/chars */
 		if ((na & 0x80) && (nc & 0x80))
 		{
+			/* 2nd byte of bigtile */
+			if (na == 255 && nc == -1) continue;
+
 			/* Flush */
 			if (fn)
 			{
@@ -1114,6 +1118,7 @@
 
 	/* Paranoia -- use "fake" hooks to prevent core dumps */
 	if (!Term->curs_hook) Term->curs_hook = Term_curs_hack;
+	if (!Term->bigcurs_hook) Term->bigcurs_hook = Term->curs_hook;
 	if (!Term->wipe_hook) Term->wipe_hook = Term_wipe_hack;
 	if (!Term->text_hook) Term->text_hook = Term_text_hack;
 	if (!Term->pict_hook) Term->pict_hook = Term_pict_hack;
@@ -1297,8 +1302,16 @@
 		/* Draw the cursor */
 		if (!scr->cu && scr->cv)
 		{
-			/* Call the cursor display routine */
-			(void)((*Term->curs_hook)(scr->cx, scr->cy));
+                        if (scr->cx + 1 < w && old->a[scr->cy][scr->cx+1] == 255)
+                        {
+                                /* Double width cursor for the Bigtile mode */
+                                (void)((*Term->bigcurs_hook)(scr->cx, scr->cy));
+                        }
+                        else
+                        {
+                                /* Call the cursor display routine */
+                                (void)((*Term->curs_hook)(scr->cx, scr->cy));
+                        }
 		}
 	}
 
@@ -1592,6 +1605,12 @@
 	scr_taa = Term->scr->ta[y];
 	scr_tcc = Term->scr->tc[y];
 
+        if (n > 0 && scr_cc[x] == -1 && scr_aa[x] == 255)
+        {
+                x--;
+                n++;
+        }
+
 	/* Scan every column */
 	for (i = 0; i < n; i++, x++)
 	{
@@ -1730,6 +1749,9 @@
 	/* Set the x limits */
 	for (i = Term->y1; i <= Term->y2; i++)
 	{
+                if (x1 > 0 && Term->old->a[i][x1] == 255)
+                        x1--;
+
 		Term->x1[i] = x1;
 		Term->x2[i] = x2;
 
Only in angband-3.0.1.bigtile/src: z-term.c.orig
diff -ur angband-3.0.1.orig/src/z-term.h angband-3.0.1.bigtile/src/z-term.h
--- angband-3.0.1.orig/src/z-term.h	Fri Jul 12 04:15:05 2002
+++ angband-3.0.1.bigtile/src/z-term.h	Sun Jul 14 06:48:41 2002
@@ -212,6 +212,8 @@
 
 	errr (*curs_hook)(int x, int y);
 
+	errr (*bigcurs_hook)(int x, int y);
+
 	errr (*wipe_hook)(int x, int y, int n);
 
 	errr (*text_hook)(int x, int y, int n, byte a, cptr s);
Only in angband-3.0.1.bigtile/src: z-term.o
Only in angband-3.0.1.bigtile/src: z-util.o
Only in angband-3.0.1.bigtile/src: z-virt.o
